aboutsummaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/angstrom/build-feeds.sh2
-rwxr-xr-xcontrib/angstrom/omap3-mkcard.sh52
2 files changed, 54 insertions, 0 deletions
diff --git a/contrib/angstrom/build-feeds.sh b/contrib/angstrom/build-feeds.sh
index 10c9d45f99..5e805aa60c 100755
--- a/contrib/angstrom/build-feeds.sh
+++ b/contrib/angstrom/build-feeds.sh
@@ -238,6 +238,7 @@ do
mplayer \
mtd-utils \
mutt \
+ mysql5 \
mythtv \
nautilus \
nbench-byte \
@@ -267,6 +268,7 @@ do
pciutils \
pdamaze \
perl \
+ php \
pidgin \
pine \
pingus \
diff --git a/contrib/angstrom/omap3-mkcard.sh b/contrib/angstrom/omap3-mkcard.sh
new file mode 100755
index 0000000000..dc4359c38c
--- /dev/null
+++ b/contrib/angstrom/omap3-mkcard.sh
@@ -0,0 +1,52 @@
+#! /bin/sh
+# mkcard.sh v0.4
+# (c) Copyright 2009 Graeme Gregory <dp@xora.org.uk>
+# Licensed under terms of GPLv2
+#
+# Parts of the procudure base on the work of Denys Dmytriyenko
+# http://wiki.omap.com/index.php/MMC_Boot_Format
+
+LC_ALL=C
+
+if [ $# -ne 1 ]; then
+ echo "Usage: $0 <drive>"
+ exit 1;
+fi
+
+DRIVE=$1
+
+dd if=/dev/zero of=$DRIVE bs=1024 count=1024
+
+SIZE=`fdisk -l $DRIVE | grep Disk | awk '{print $5}'`
+
+echo DISK SIZE - $SIZE bytes
+
+CYLINDERS=`echo $SIZE/255/63/512 | bc`
+
+echo CYLINDERS - $CYLINDERS
+
+{
+echo ,9,0x0C,*
+echo ,,,-
+} | sfdisk -D -H 255 -S 63 -C $CYLINDERS $DRIVE
+
+if [ -b ${DRIVE}1 ]; then
+ mkfs.vfat -F 32 -n "boot" ${DRIVE}1
+else
+ if [ -b ${DRIVE}p1 ]; then
+ mkfs.vfat -F 32 -n "boot" ${DRIVE}p1
+ else
+ echo "Cant find boot partition in /dev"
+ fi
+fi
+
+if [ -b ${DRIVE}2 ]; then
+ mke2fs -j -L "rootfs" ${DRIVE}2
+else
+ if [ -b ${DRIVE}p2 ]; then
+ mke2fs -j -L "rootfs" ${DRIVE}p2
+ else
+ echo "Cant find rootfs partition in /dev"
+ fi
+fi
+